GET /nodes/{node_id}/logs/

osf.io

Summary: List all logs
Operation ID: nodes_logs_list
Auth: unknown
Description

A paginated list of all logs associated with a given node. The returned logs are sorted by their `date`, with the most recents logs appearing first. This list includes the logs of the specified node as well as the logs of that node's children to which the current user has read-only access. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of up to 10 logs. Each resource in the array is a separate logs object. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). #### Filtering You can optionally request that the response only include logs that match your filters by utilizing the `filter` query parameter, e.g. https://api.osf.io/v2/nodes/ezcuj/logs/?filter[action]=made_private. Nodes may be filtered by their `action`, and `date`.

Parameters (1)

node_id (string, path, required)

The unique identifier of the node.

No probe data for this endpoint yet.